Skip to main content

Destinations

Overview​

This resource represents the Destinations (the actual place) that can be assigned to Rentals.

Parameters​

NameTypeRead/WriteDescription
idIntegerReadDestination's id.
aliasesObjectReadDestination's aliases, list of locales described in enums section.
ancestor_idsArrayReadArray of destination's ancestor destinations ids.
counterIntegerReadDestination's use counter for rentals.
fullnameObjectReadDestination's fullname, list of locales described in enums section.
nameObjectReadDestination's name, list of locales described in enums section.
permalinkObjectReadDestination's permalink, list of locales described in enums section.
created_atTimeReadDestination's create time.
updated_atTimeReadDestination's update time.

List destinations​

List all destinations for a given account(s).

GET /destinations
response.json
{
"destinations": [
{
"id": 3212,
"name": {
"en": "Europe"
},
"fullname": {
"en": "Europe, World"
},
"permalink": {
"en": "world/europe"
},
"aliases": {},
"counter": 1,
"ancestor_ids": [
1
]
}
],
"meta": {}
}

Get a single destination​

Returns a single destination identified by ID.

GET /destinations/:destination_id
response.json
{
"destinations": [
{
"id": 3212,
"name": {
"en": "Europe"
},
"fullname": {
"en": "Europe, World"
},
"permalink": {
"en": "world/europe"
},
"aliases": {},
"counter": 1,
"ancestor_ids": [
1
]
}
],
"meta": {}
}